edu.isi.pegasus.planner.dax

## Enum Executable.OS

- java.lang.Object
- - java.lang.Enum<Executable.OS>
  - - edu.isi.pegasus.planner.dax.Executable.OS

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Executable.OS>

Enclosing class:
  Executable

    public static enum Executable.OS
    extends java.lang.Enum<Executable.OS>

OS Types

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`aix`
`AIX`
`linux`
`LINUX`
`macosx`
`MACOSX`
`sunos`
`SUNOS`
`windows`
`WINDOWS`

### Method Summary

All Methods Static Methods Concrete Methods
`static Executable.OS` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Executable.OS[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LINUX

    public static final Executable.OS LINUX

#### linux

    public static final Executable.OS linux

#### SUNOS

    public static final Executable.OS SUNOS

#### sunos

    public static final Executable.OS sunos

#### AIX

    public static final Executable.OS AIX

#### aix

    public static final Executable.OS aix

#### MACOSX

    public static final Executable.OS MACOSX

#### macosx

    public static final Executable.OS macosx

#### WINDOWS

    public static final Executable.OS WINDOWS

#### windows

    public static final Executable.OS windows

### Method Detail

#### values

    public static Executable.OS[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Executable.OS c : Executable.OS.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Executable.OS valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null